Subject: bug#70246: 30.0.50; Update INSTALL for native compilation

From: Björn Bidar <[email-masked]>
Date: Sun, 07 Apr 2024 22:28:55 +0300

Eli Zaretskii <[email-masked]> writes:

>> Date: Sat, 06 Apr 2024 22:53:31 +0200
>> From:  Stephen Berman via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> The INSTALL file in the Emacs sources makes no reference to native
>> compilation.  The attached patch is an attempt to fill this gap (but I'm
>> not sure about the default locations of installed natively compiled Lisp
>> files, since I do not install Emacs when I build and do not have a
>> distribution installation of Emacs built with native compilation to
>> check).
>
> Thanks.  This LGTM, except the changes to item 6: there, I would only
> mention the possibility of building out of the source tree.  Whether
> running uninstalled is possible in this case depends where is the
> build tree relative to the source tree, so I'd rather not describe all
> the gory details there because they are too complex to explain (what
> you wrote is inaccurate); I'd just say that running uninstalled is
> fully supported only when Emacs is built in the source tree.
>
>> +'/usr/local/share/emacs/VERSION/native-lisp' holds the natively compiled
>> +		pre-loaded Emacs Lisp files.
>
> This is incorrect: native-lisp is installed under /usr/lib/emacs/VERSION,
> not under /usr/share/emacs/VERSION.
I would add a note that it might be /usr/lib64/emacs/30.0.50 depending
on the system.